<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Simplon Dev Data</title>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bulma@0.8.0/css/bulma.min.css">
  <script defer src="https://use.fontawesome.com/releases/v5.3.1/js/all.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/vue"></script>
</head>

<body>
  <section id="app" class="hero is-fullheight">
    <div class="hero-body">
      <div class="container">
        <div class="columns">
          <div class="column is-half is-offset-one-quarter">
            <img src="simplon.png">

            <p class="title">
              Formation Développeur Data
            </p>

            <p class="subtitle">
              Vous êtes apprenant en formation Simplon Développeur Data ?
              <br/>
              Aidez-nous à mieux connaître et comprendre les besoins des futurs apprenants du réseau Simplon
              en prenants quelques minutes pour répondre à cette enquête !
            </p>

            <form @submit.prevent="openConfirm">
              <div class="field">
                <label class="label">Prénom</label>
                <div class="control has-icons-left">
                  <input
                    v-model="firstname"
                    class="input"
                    type="text"
                    maxlength="50"
                    required
                  >
                  <span class="icon is-small is-left">
                    <i class="fas fa-user"></i>
                  </span>
                </div>
              </div>

              <div class="field">
                <label class="label">Nom</label>
                <div class="control has-icons-left">
                  <input
                    v-model="lastname"
                    class="input"
                    type="text"
                    maxlength="50"
                    required
                  >
                  <span class="icon is-small is-left">
                    <i class="fas fa-user"></i>
                  </span>
                </div>
              </div>

              <div class="field">
                <label class="label">Genre</label>
                <div class="control has-icons-left">
                  <span class="select">
                    <select v-model="gender" required>
                      <option>Homme</option>
                      <option>Femme</option>
                      <option>Autre</option>
                    </select>
                  </span>
                  <span class="icon is-small is-left">
                    <i class="fas fa-venus-mars"></i>
                  </span>
                </div>
              </div>

              <div class="field">
                <label class="label">Date de naissance</label>
                <div class="control has-icons-left">
                  <input
                    v-model="birthday"
                    class="input"
                    type="date"
                    required
                  >
                  <span class="icon is-small is-left">
                    <i class="fas fa-birthday-cake"></i>
                  </span>
                </div>
              </div>

              <div class="field">
                <label class="label">Profession</label>
                <div class="control has-icons-left">
                  <input
                    v-model="job"
                    class="input"
                    type="text"
                    maxlength="100"
                    required
                  >
                  <span class="icon is-small is-left">
                    <i class="fas fa-building"></i>
                  </span>
                </div>
              </div>

              <div class="field">
                <label class="label">Statut</label>
                <div class="control has-icons-left">
                  <span class="select">
                    <select v-model="status" required>
                      <option>Célibataire</option>
                      <option>Marié</option>
                      <option>Divorcé</option>
                      <option>Veuf</option>
                    </select>
                  </span>
                  <span class="icon is-small is-left">
                    <i class="fas fa-user-friends"></i>
                  </span>
                </div>
              </div>

              <div class="field">
                <label class="label">Enfants</label>
                <div class="control has-icons-left">
                  <input
                    v-model="children"
                    class="input"
                    type="number"
                    min="0"
                    max="10"
                    required
                  >
                  <span class="icon is-small is-left">
                    <i class="fas fa-child"></i>
                  </span>
                </div>
              </div>

              <div class="field">
                <label class="label">Type de logement</label>
                <div class="control has-icons-left">
                  <span class="select">
                    <select v-model="habitation" required>
                      <option>Appartement</option>
                      <option>Loft</option>
                      <option>Maison de ville</option>
                      <option>Maison avec jardin</option>
                      <option>Villa</option>
                    </select>
                  </span>
                  <span class="icon is-small is-left">
                    <i class="fas fa-home"></i>
                  </span>
                </div>
              </div>

              <div class="field">
                <label class="label">Revenu fiscal de référence</label>
                <div class="control has-icons-left">
                  <input
                    v-model="revenue"
                    class="input"
                    type="number"
                    min="0"
                    max="100000"
                    required
                  >
                  <span class="icon is-small is-left">
                    <i class="fas fa-euro-sign"></i>
                  </span>
                </div>
              </div>

              <div class="field">
                <label class="label">E-mail</label>
                <div class="control has-icons-left">
                  <input
                    v-model="email"
                    class="input"
                    type="email"
                    required
                  >
                  <span class="icon is-small is-left">
                    <i class="fas fa-at"></i>
                  </span>
                </div>
              </div>

              <div class="field">
                <label class="label">Adresse postale</label>
                <div class="control">
                  <textarea
                    v-model="address"
                    class="textarea"
                    maxlength="1000"
                    required
                  ></textarea>
                </div>
              </div>

              <label class="label">Carte de paiement</label>

              <div class="field">
                <div class="control has-icons-left">
                  <input
                    v-model="cardNumber"
                    class="input"
                    type="text"
                    placeholder="Numéro de carte"
                    maxlength="16"
                    required
                  >
                  <span class="icon is-small is-left">
                    <i class="fas fa-credit-card"></i>
                  </span>
                </div>
              </div>

              <div class="field is-grouped">
                <div class="control has-icons-left">
                  <input
                    v-model="cardCvv"
                    class="input"
                    type="number"
                    placeholder="Sécurité (CVV)"
                    maxlength="3"
                    required
                  >
                  <span class="icon is-small is-left">
                    <i class="fas fa-lock"></i>
                  </span>
                </div>

                <div class="control">
                  <span class="select">
                    <select v-model="cardMonth" required>
                      <option>01</option>
                      <option>02</option>
                      <option>03</option>
                      <option>04</option>
                      <option>05</option>
                      <option>06</option>
                      <option>07</option>
                      <option>08</option>
                      <option>09</option>
                      <option>10</option>
                      <option>11</option>
                      <option>12</option>
                    </select>
                  </span>
                </div>

                <div class="control">
                  <span class="select">
                    <select v-model="cardYear" required>
                      <option>2020</option>
                      <option>2021</option>
                      <option>2022</option>
                      <option>2023</option>
                      <option>2024</option>
                    </select>
                  </span>
                </div>
              </div>

              <div class="field is-grouped is-grouped-right">
                <div class="control">
                  <button class="button is-link">Répondre</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>

      <div class="modal" :class="{'is-active': showConfirm}">
        <div class="modal-background"></div>
        <div class="modal-card">
          <header class="modal-card-head">
            <p class="modal-card-title">Confirmation de vos informations</p>
            <button class="delete" aria-label="close" @click="closeConfirm"></button>
          </header>

          <section class="modal-card-body">
            <p><span class="has-text-weight-bold">Prénom</span>: {{ firstname }}</p>
            <p><span class="has-text-weight-bold">Nom</span>: {{ lastname }}</p>
            <p><span class="has-text-weight-bold">Genre</span>: {{ gender }}</p>
            <p><span class="has-text-weight-bold">Date de naissance</span>: {{ birthday }}</p>
            <p><span class="has-text-weight-bold">Profession</span>: {{ job }}</p>
            <p><span class="has-text-weight-bold">Statut</span>: {{ status }}</p>
            <p><span class="has-text-weight-bold">Enfants</span>: {{ children }}</p>
            <p><span class="has-text-weight-bold">Type de logement</span>: {{ habitation }}</p>
            <p><span class="has-text-weight-bold">Revenu fiscal de référence</span>: {{ revenue }}</p>
            <p><span class="has-text-weight-bold">E-mail</span>: {{ email }}</p>
            <p><span class="has-text-weight-bold">Adresse postale</span>: {{ address }}</p>
            <p><span class="has-text-weight-bold">Carte de paiement</span>: {{ cardNumber }} / {{ cardCvv }} / {{ cardMonth }}-{{ cardYear }}</p>
          </section>

          <footer class="modal-card-foot">
            <button class="button" @click="closeConfirm">
              Modifier
            </button>
            <button class="button is-success" @click="openSuccess">
              Envoyer
            </button>
          </footer>
        </div>
      </div>

      <div class="modal" :class="{'is-active': showSuccess}">
        <div class="modal-background"></div>
        <div class="modal-card">
          <header class="modal-card-head">
            <p class="modal-card-title">Merci, {{ firstname }}</p>
            <button class="delete" aria-label="close" @click="closeSuccess"></button>
          </header>

          <section class="modal-card-body">
            <p>🎉 Nous vous remercions d'avoir pris le temps de répondre à cette enquête !</p>
            <p>🔐 Vos informations personnelles seront traitées avec le plus grand soin ...</p>
            <br/>
            <p>🙊 Ne confiez vos informations personnelles uniquement à un service de confiance ...</p>
            <p>🙈 Et regardez la date du jour !</p>
          </section>

          <footer class="modal-card-foot">
            <button class="button" @click="closeSuccess">
              Fermer
            </button>
          </footer>
        </div>
        <button class="modal-close is-large" aria-label="close" @click="closeSuccess"></button>
      </div>
    </div>

    <div class="hero-foot">
      <footer class="footer">
        <div class="content has-text-centered">
          <p class="heading">
            🐟 Fièrement développé le 1er avril 2020 🐡
          </p>
        </div>
      </footer>
    </div>
  </section>

  <script>
    const app = new Vue({
      el: '#app',
      data() {
        return {
          firstname: '',
          lastname: '',
          gender: '',
          birthday: '',
          job: '',
          status: '',
          children: '0',
          habitation: '',
          revenue: '0',
          email: '',
          address: '',
          cardNumber: '',
          cardCvv: '',
          cardMonth: '12',
          cardYear: '2020',
          showConfirm: false,
          showSuccess: false
        }
      },
      methods: {
        openConfirm: function() {
          this.showConfirm = true
          this.showSuccess = false
        },

        closeConfirm: function() {
          this.showConfirm = false
          this.showSuccess = false
        },

        openSuccess: function() {
          this.showConfirm = false
          this.showSuccess = true
        },

        closeSuccess: function() {
          this.showConfirm = false
          this.showSuccess = false
        }
      }
    })
  </script>
</body>

</html>